Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class SecurityConstants

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.security.SecurityConstants

public class SecurityConstants
extends java.lang.Object

Defines constants used in this package

Field Summary
`static java.lang.String` | `ENCRYPTION_PROPERTY_NAME`
`static java.lang.String` | `KEY_BIT_SIZE_PROPERTY_NAME`
`static java.lang.String` | `NOT_SO_SECURE_SECURITY`
`static java.lang.String` | `PRIVATE_KEY_COLUMN_PROPERTY_NAME`
`static java.lang.String` | `PUBLIC_KEY_COLUMN_PROPERTY_NAME`
`static java.lang.String` | `SECURITY_TABLE_BACKUP_PROPERTY_NAME`
`static java.lang.String` | `SECURITY_TABLE_PROPERTY_NAME`

Constructor Summary
`SecurityConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTION_PROPERTY_NAME

    public static final java.lang.String ENCRYPTION_PROPERTY_NAME

### SECURITY_TABLE_PROPERTY_NAME

    public static final java.lang.String SECURITY_TABLE_PROPERTY_NAME

### SECURITY_TABLE_BACKUP_PROPERTY_NAME

    public static final java.lang.String SECURITY_TABLE_BACKUP_PROPERTY_NAME

### PUBLIC_KEY_COLUMN_PROPERTY_NAME

    public static final java.lang.String PUBLIC_KEY_COLUMN_PROPERTY_NAME

### PRIVATE_KEY_COLUMN_PROPERTY_NAME

    public static final java.lang.String PRIVATE_KEY_COLUMN_PROPERTY_NAME

### KEY_BIT_SIZE_PROPERTY_NAME

    public static final java.lang.String KEY_BIT_SIZE_PROPERTY_NAME

### NOT_SO_SECURE_SECURITY

    public static final java.lang.String NOT_SO_SECURE_SECURITY

Constructor Detail

### SecurityConstants

    public SecurityConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved